Bug 1647750 - OVN: configurable dynamic mac range
Summary: OVN: configurable dynamic mac range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch2.10
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: lorenzo bianconi
QA Contact: haidong li
URL:
Whiteboard:
Depends On: 1623260
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-08 09:49 UTC by lorenzo bianconi
Modified: 2019-01-07 08:51 UTC (History)
10 users (show)

Fixed In Version: openvswitch2.10-2.10.0-26.el7fdn
Doc Type: Enhancement
Doc Text:
This update adds the possibility to specify an OUI for MAC addresses dynamically allocated by OVN. As a result, users can specify an OUI for each OVN deployment to avoid MAC address collisions.
Clone Of: 1623260
Environment:
Last Closed: 2019-01-07 08:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0029 None None None 2019-01-07 08:51:23 UTC

Comment 3 haidong li 2018-11-26 09:12:57 UTC
verified on the latest version:
[root@dell-per730-42 ~]# uname -a
Linux dell-per730-42.rhts.eng.pek2.redhat.com 3.10.0-957.el7.x86_64 #1 SMP Thu Oct 4 20:48:51 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@dell-per730-42 ~]# rpm -qa | grep openvswitch
openvswitch2.10-ovn-host-2.10.0-28.el7fdp.x86_64
openvswitch2.10-2.10.0-28.el7fdp.x86_64
openvswitch2.10-ovn-central-2.10.0-28.el7fdp.x86_64
openvswitch-selinux-extra-policy-1.0-8.el7fdp.noarch
openvswitch2.10-ovn-common-2.10.0-28.el7fdp.x86_64
kernel-kernel-networking-openvswitch-ovn-1.0-108.noarch
[root@dell-per730-42 ~]# ovn-nbctl ls-add sw6
[root@dell-per730-42 ~]# ovn-nbctl  set NB_Global . options:mac_prefix="00:11:22:33:44:55"
[root@dell-per730-42 ~]# ovn-nbctl  set Logical-Switch sw6 other_config:subnet=192.168.100.0/24
[root@dell-per730-42 ~]# ovn-nbctl lsp-add sw6 p6 -- lsp-set-addresses p6 dynamic
[root@dell-per730-42 ~]# ovn-nbctl get Logical-Switch-Port p6 dynamic_addresses
"00:11:22:a8:64:03 192.168.100.2"
[root@dell-per730-42 ~]# ovn-nbctl lsp-add sw6 p7 -- lsp-set-addresses p7 dynamic
[root@dell-per730-42 ~]# ovn-nbctl get Logical-Switch-Port p7 dynamic_addresses
"00:11:22:a8:64:04 192.168.100.3"
[root@dell-per730-42 ~]#

Comment 5 errata-xmlrpc 2019-01-07 08:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0029


Note You need to log in before you can comment on or make changes to this bug.